import Vue from 'vue';
import App from './App.vue';

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import "@/assets/css/element-variables.scss";

import preview from 'vue-photo-preview'
import moment from "moment";
import * as VueWindow from "@hscmap/vue-window";
import Mixin from "./mixins";

import 'vue-photo-preview/dist/skin.css'

Vue.prototype.$moment = moment;

Vue.mixin(Mixin);

Vue.use(ElementUI)

Vue.use(preview)

Vue.use(VueWindow);

Vue.filter('moment', function (value, formatString) {
  formatString = formatString || 'YYYY-MM-DD HH:mm:ss';
  return moment(value).format(formatString);
});

export default Vue.prototype.bus = new Vue({
  el: '#app',
  render: h => h(App)
})
